file.hh File Reference
`#include <cstdio>`
`#include <string>`
`#include <mia/core/defines.hh>`
Include dependency graph for file.hh:

Go to the source code of this file.

## Data Structures

class | CFile
| A wrapper for the cstdio file type that closes the file automatically when the scope is left. More...
class | CInputFile
| A stdio FILE for opening a file for reading. More...
class | COutputFile
| A stdio FILE for opening a file for writing. More...

## Typedefs

typedef FILE * | PFILE
| Main namespace of this library.

## Typedef Documentation

## PFILE

typedef FILE* PFILE

Main namespace of this library.

typedef of the cstdio file pointer to avoid the *

Definition at line 33 of file file.hh.